OGRE: Ogre::VectorIterator< T > Class Template Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::VectorIterator< T > Class Template Reference

Concrete IteratorWrapper for nonconst access to the underlying container. More...

`#include <OgreIteratorWrapper.h>`

Inheritance diagram for Ogre::VectorIterator< T >:
[legend]

## Public Member Functions
| VectorIterator (T &c)
| Constructor.
| VectorIterator (typename T::iterator start, typename T::iterator last)
| Constructor.
Public Member Functions inherited from Ogre::VectorIteratorWrapper< T, T::iterator >
| VectorIteratorWrapper (T::iterator start, T::iterator last)
| c'tor
ValueType | getNext ()
| Returns the next(=current) value element in the collection, and advances to the next.
ValueType | peekNext () const
| Returns the next(=current) element in the collection, without advancing to the next.
PointerType | peekNextPtr () const
| Returns a pointer to the next(=current) element in the collection, without advancing to the next afterwards.
Public Member Functions inherited from Ogre::IteratorWrapper< T, T::iterator, T::value_type >
const T::iterator & | begin ()
| Bookmark to the begin of the underlying collection.
T::iterator & | current ()
| Full access to the current iterator.
const T::iterator & | end ()
| Bookmark to the end (one behind the last element) of the underlying collection.
bool | hasMoreElements () const
| Returns true if there are more items in the collection.
void | moveNext ()
| Moves the iterator on one element.

## Additional Inherited Members
Public Types inherited from Ogre::VectorIteratorWrapper< T, T::iterator >
typedef IteratorWrapper< T, T::iterator, typenameT::value_type >::PointerType | PointerType
typedef IteratorWrapper< T, T::iterator, typenameT::value_type >::ValueType | ValueType
Public Types inherited from Ogre::IteratorWrapper< T, T::iterator, T::value_type >
typedef T::iterator | const_iterator
| Typedef to fulfill container interface.
typedef T::iterator | iterator
| Typedef to fulfill container interface.
typedef T::value_type * | PointerType
| Type you expect to get by funktions like peekNext(Value)Ptr.
typedef T::value_type | ValueType
| Type you expect to get by funktions like peekNext(Value).

## Detailed Description

template<typename T>
class Ogre::VectorIterator< T >

Concrete IteratorWrapper for nonconst access to the underlying container.

Template Parameters

  T | Container

## Constructor & Destructor Documentation

## ◆ VectorIterator() [1/2]

template<typename T>

Ogre::VectorIterator< T >::VectorIterator | ( | typename T::iterator | start,
|  | typename T::iterator | last )
| inline

Constructor.

Provide a start and end iterator to initialise.

## ◆ VectorIterator() [2/2]

template<typename T>

Ogre::VectorIterator< T >::VectorIterator | ( | T & | c | ) |
| inlineexplicit

Constructor.

Provide a container to initialise.

The documentation for this class was generated from the following files:

- OgreCompositionTargetPass.h
- OgreIteratorWrapper.h